#ifndef ENEMY_TARGET_BODY_HPP
#define ENEMY_TARGET_BODY_HPP

#include <godot_cpp/classes/rigid_body3d.hpp>

namespace godot {
//! Collider signifying which part of an enemy can be targeted. Used only for drones because their "real" position is on the ground below where the "drone" is flying.
class EnemyTargetBody : public RigidBody3D {
    GDCLASS(EnemyTargetBody, RigidBody3D);
    //! Bind damage function
    static void _bind_methods();
public:
    //! Set rigidbody as kinematic.
    virtual void _enter_tree() override;
    //! Destroy parent object.
    void damage();
};
}

#endif // !ENEMY_TARGET_BODY_HPP
